package com.chinaweal.aiccs.aiccs.market.mapper;

import com.chinaweal.aiccs.aiccs.market.entity.TSUsualInspect;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaweal.aiccs.aiccs.revoke.Vo.EnableListAndCheckVo;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 日常检查信息 Mapper 接口
 * </p>
 *
 * @author chinaweal
 * @since 2021-10-18
 */
public interface TSUsualInspectMapper extends BaseMapper<TSUsualInspect> {

    List<Map<String, String>> statistics(@Param("orgCode") String orgCode);

    List<TSUsualInspect> getListByPripid(@Param("pripid") String pripid);

    List<TSUsualInspect> queryHistroyListByPripid(@Param("pripid") String pripid);

    EnableListAndCheckVo getCheckAndRevResult(String pripid);

    List<TSUsualInspect> getPageByTask(Map<String, Object> param);

    Integer countByTask(Map<String, Object> param);

    TSUsualInspect getbyXyfxbizSeq(String bizseq);
}
